<template>
  <div id="subscribe" class="background-gradient background-height text-white">
    <div class="svg-maneirissimo">
      <div
        class="container mx-auto flex flex-col md:flex-row items-center justify-center md:justify-between h-full"
      >
        <object
          data="/logo.svg"
          alt="DeepHack Logo"
          class="logo mx-4"
        ></object>

        <div class="text-center md:text-left px-4">
          <h1>
            DeepHack
          </h1>
          <span class="py-4">
            Dias 05 à 19 de Outubro
          </span>
          <h2 class="pb-4">
            Ajude o TCE-SP a identificar os objetivos de desenvolvimento sustentavel para 2030 no estado de SP
          </h2>
          <div class="py-4">
            <button
              class="bg-transparent text-white py-2 px-4 border border-white rounded"
            >
              <a
                href="https://uclab.xyz/deephack-subscribe"
                target="_blank"
                rel="noopener noreferrer"
                class="text-white"
                >Increva-se</a
              >
            </button>
            <button
              class="bg-transparent text-white py-2 px-4 border border-white rounded"
            >
              <a
                href="https://uclab.xyz/deephack-rules"
                target="_blank"
                rel="noopener noreferrer"
                class="text-white"
                >Regulamento</a
              >
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<style scoped>
.background-height {
  height: 100vh;
  position: relative;
}

.svg-maneirissimo {
  height: 100vh;
}

.logo {
  width: 100%;
  max-width: 300px;
}

h1 {
  font-size: 32px;
}

h2 {
  font-size: 18px;
}

a {
  text-decoration: none;
}

.text-change {
  position: relative;
  left: -0.5rem;
}

:focus {
  outline: 0px;
}

@media (min-width: 768px) {
  h1 {
    font-size: 48px;
  }

  h2 {
    font-size: 24px;
  }

  .text-change {
    left: -0.8rem;
  }
}
</style>
